ChangeSet 1.1727, 2004/05/17 11:01:17-07:00, arjanv@redhat.com

[PATCH] USB: fix obsolete header usage in usb storage

drivers/scsi/hosts.h is obsolete, <scsi/scsi_host.h> is the prefered header
nowadays. (hosts.h is just a 1 line wrapper to include it for now anyway)


 drivers/usb/storage/scsiglue.h |    2 +-
 drivers/usb/storage/usb.h      |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/usb/storage/scsiglue.h b/drivers/usb/storage/scsiglue.h
--- a/drivers/usb/storage/scsiglue.h	Mon May 17 16:38:01 2004
+++ b/drivers/usb/storage/scsiglue.h	Mon May 17 16:38:01 2004
@@ -43,7 +43,7 @@
 
 #include <linux/blkdev.h>
 #include "scsi.h"
-#include "hosts.h"
+#include <scsi/scsi_host.h>
 #include "usb.h"
 
 extern void usb_stor_report_device_reset(struct us_data *us);
diff -Nru a/drivers/usb/storage/usb.h b/drivers/usb/storage/usb.h
--- a/drivers/usb/storage/usb.h	Mon May 17 16:38:01 2004
+++ b/drivers/usb/storage/usb.h	Mon May 17 16:38:01 2004
@@ -49,7 +49,7 @@
 #include <linux/smp_lock.h>
 #include <linux/completion.h>
 #include "scsi.h"
-#include "hosts.h"
+#include <scsi/scsi_host.h>
 
 struct us_data;
 
